/*
 ************************************************************************
 *
 * File 'modeTest.cpp'.
 *
 * CanvasPlus widget test mode implementation.
 *
 * Written by Jorge Lima in Nov 23 14:44:03 WET 2004
 *
 */
#include <tkCanvasPlusTags.h>
#include <tkCanvasPlus.h>
#include <tkCanvasPlusDrawing.h>

#include "Item.h"

class PolylineItem: public Item {

public: 

  PolylineItem(iData *data, CP_Item *item);

  void draw(CP_DrawOps *ops, CP_Area *a);

private:

  CP_Point points[5];
};


PolylineItem::PolylineItem(iData *data, CP_Item *item)
 : Item(data, item)
{
  points[0].x = 5; points[0].y = -10;
  points[1].x = 35; points[1].y = 60;
  points[2].x = 65; points[2].y = 10;
  points[3].x = 95; points[3].y = 60;
  points[4].x = 125; points[4].y = 10;
  CP_Area area;
  area.x1 = 5; area.y1 = -10;
  area.x2 = 125; area.y2 = 10;
  CPExpandPhysicalDimensions(data->getCanvas(), &area);
}

void PolylineItem::draw(CP_DrawOps *ops, CP_Area *a)
{
  ops->setPenColor(ops->clientData, 0);
  ops->setPenWidth(ops->clientData, 2.5);
  ops->drawPolyline(ops->clientData, 5, points);
}

