package require ncgi

array set htmlColors {
    White       FFFFFF
    Black       000000
    Purple      FF00FF
    Yellow      FFFF00
    Gray        C0C0C0
    Yellow      FFFF66
    Red         FF0000
    Blue        0000FF
    Green       00FF00
    LtPurple    CC33FF
    LtBlue      00CCFF
}

set refreshRate 10
set fgColor Green
set bgColor White

set configureFmt {
<input type="submit" size="6" name="submit" value="Save">
<input type="hidden" size="60" name="action" value="save_%s">
}


###########################################################################
#
# Procedure Name : WriteAlarmSettings
#
# Description : Writes the alarm settigns for later use..
#
# Arguments : none
#
# Returns : nonthing
#
# Side-Effects : none
#
# Exception Conditions : none
#
# Pre-requisite Conditions :
#
# Original Author : Gerald W. Lester
#
###########################################################################
proc GenerateHostDataRows {} {
    upvar #0 hostDataArray hostDataArray

    set lastHost {}
    set connectionList {}
    set html {}
    #puts stdout {Entering GenerateHostDataRows}
    #puts stdout "hostDataArray == {[array get hostDataArray ]}"
    #puts stdout "hostDataArray == {[array get hostDataArray]}"
    foreach key [lsort -dictionary [array names hostDataArray]] {
        set currentHost [lindex [split $key {,}] 0]
        if {[string equal $lastHost $currentHost]} {
            lappend connectionList 1
        } elseif {[string equal $lastHost {}]} {
            set lastHost $currentHost
            set connectionList 1
        } else {
            set count [llength $connectionList]
            if {$count > 1} {
                incr count -1
            }
            append html [::html::row $lastHost $count] "\n"
            set lastHost currentHost
            set connectionList 1
        }
    }
    set count [llength $connectionList]
    if {$count > 1} {
        incr count -1
    }
    if {![string equal $lastHost {}]} {
        append html [::html::row $lastHost $count] "\n"
    }
    #puts stdout "Leaving GenerateHostDataRows with: {$html}"
    return $html
}


###########################################################################
#
# Procedure Name : WriteAlarmSettings
#
# Description : Writes the alarm settigns for later use..
#
# Arguments : none
#
# Returns : nonthing
#
# Side-Effects : none
#
# Exception Conditions : none
#
# Pre-requisite Conditions :
#
# Original Author : Gerald W. Lester
#
###########################################################################
proc GenerateHostAlarmRows {} {
    upvar #0 alarmDataArray alarmDataArray
    upvar #0 maxState maxState
    upvar #0 lastSave lastSave

    set html {}
    for {set i 0} {$i <= $maxState} {incr i 1} {
        set line {<TR>}
        append line {<TD> <!-- Action -->}
        append line { <form method="post" action="EditAlarm.tml"> <input type="submit" size="6" name="edit" value="Edit"> } \
            [format {<input type="hidden" size="4" name="alarmid" value="%s">} $i] \
            [format {<input type="hidden" size="40" name="checkid" value="%s">} $lastSave] \
            { </form> } {&nbsp;}
        if {$i > 0} {
            append line { <form method="post" action="DeleteAlarmStatus.tml"> <input type="submit" size="6" name="edit" value="Delete"> } \
                [format {<input type="hidden" size="4" name="alarmid" value="%s">} $i] \
                [format {<input type="hidden" size="40" name="checkid" value="%s">} $lastSave] \
                { </form> }
        }
        append line {</TD>}
        append line {<TD> <!-- Name -->}
        append line $alarmDataArray($i,alarmName)
        append line {</TD>}
        append line {<TD> <!-- Description -->}
        append line $alarmDataArray($i,alarmDescription)
        append line {</TD>}
        append line {<TD> <!-- Lower Limit -->}
        append line $alarmDataArray($i,licenseCount)
        append line {</TD>}
        append line {<TD> <!-- Emails -->}
        set emailList {&nbsp;}
        if {[string length $alarmDataArray($i,up,emailToList)]} {
            append emailList UP
        }
        if {[string length $alarmDataArray($i,down,emailToList)]} {
            append emailList DOWN
        }
        append line [join $emailList {&nbsp;and&nbsp;}]
        append line {</TD>}
        append line {<TD> <!-- Deadband -->}
        set deadbandList {&nbsp;}
        if {[string length $alarmDataArray($i,deadbandTime)]} {
            append deadbandList TIME
        }
        if {[string length $alarmDataArray($i,deadbandLimit)] &&
            (-1 < $alarmDataArray($i,deadbandLimit))} {
            append deadbandList VALUE
        }
        append line [join $deadbandList {&nbsp;or&nbsp;}]
        append line {</TD>}
        append line {</TR>} "\n"
        append html $line
    }
    return $html
}


